<?php
/**
 * Created by PhpStorm.
 * User: user
 * Date: 18/06/2018
 * Time: 4:58 CH
 */

namespace Drupal\hello\Form;


use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

class Register extends FormBase
{

    public function getFormId()
    {
        // TODO: Implement getFormId() method.
        return 'sign_up';
    }
    public function buildForm(array $form, FormStateInterface $form_state)
    {
        // TODO: Implement buildForm() method.
        $form['name'] = array(
            '#type' => 'textfield',
            '#title' => 'Name'
        );
        $form['username'] = array(
          '#type' => 'textfield'  ,
          '#title' => 'Username',
//          '#description' => 'Username'
        );

        $form['password'] = array(
            '#type' => 'password',
            '#title' => 'Password',
        );

        $form['repassword'] = array(
            '#type' => 'password',
            '#title' => 'Repassword'
        );
        $form['submit'] = array(
            '#type' => 'submit',
            '#value' => $this->t('Sign Up'),
        );
        return $form;
//        return parent::buildForm($form,$form_state);
    }

    public function validateForm(array &$form, FormStateInterface $form_state)
    {
        parent::validateForm($form, $form_state); // TODO: Change the autogenerated stub
    }

    public function submitForm(array &$form, FormStateInterface $form_state)
    {
        // TODO: Implement submitForm() method.
    }
}